<?php
session_start();
require('conn.php');
require('funcs.php');

// kdyz nekdo odkaze na file, zjistime si jeho dir
if (!empty($_GET['file']))
{
	$dotaz = "SELECT `IDdir` FROM `files` WHERE `IDfile`='$_GET[file]' ";
	$odpoved = $mysqli -> query($dotaz);
	$radek = $odpoved -> fetch_assoc();
	$_GET['dir'] = $radek['IDdir'];
}

if (!empty($_GET['dirlist']))
{
	unset($_SESSION['dir']);
	unset($_GET['dir']);
}
if (!empty($_SESSION['dir']) && empty($_GET['dir'])) $_GET['dir'] = $_SESSION['dir'];
if (!empty($_GET['dir']))
{
	$dotaz = "SELECT * FROM `directories` WHERE `IDdir`='$_GET[dir]' ";
	$vysledek = $mysqli->query($dotaz);
	while ($radek = $vysledek->fetch_assoc())
	{
		$level = $radek['level'] + 1;
		$structure = $radek['structure'].$radek['IDdir'].';';
		$use = $radek['use'];
		$dir = $_SESSION['dir'] = $_GET['dir'];
	}
	$vysledek->free_result();
}
else{
	$level = 1;
	$structure = ';0;';
	$use = 'r';
	$dir = 'root';
}

?>
<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Informační systém pro dlouhodobé uchovávání digitálních uměleckých prací">
    <meta name="author" content="Martin Mercl">
    <link rel="icon" href="../../favicon.ico">
    <title>ART - umění s jasnou strukturou</title>
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/visual.css" rel="stylesheet">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
    <script src="js/ie-emulation-modes-warning.js"></script>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
</head>

<body>

<nav class="navbar navbar-inverse navbar-fixed-top">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
        <span class="sr-only">Hlavní navigace</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="index.php?dirlist=clear">ART</a>
    </div>
    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav navbar-right">
        <?php
		if ($user['group'] != 'ann' && $user['authorization'] == 0 &&$user['group'] == 'lek')
		{
			?>
	         <li><a href="index.php?page=ucebni_pomucky">Učební pomůcky</a></li>
           <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Nástroje <span class="caret"></span></a>
              <ul class="dropdown-menu" role="menu">
                <?php
                if ($level == 1) echo '<li><a href="?page=create_sr">Založit nový studijní rok</a></li>';
                if ($use == 'y') echo '<li><a href="?page=create_trida">Založit novou třídu</a></li>';
                if ($use == 'c' || $use == 'y') echo '<li><a href="?page=create_predmet">Založit nový předmět</a></li>';
                if ($use == 'g') echo '<li><a href="?page=create_projekt">Založit nový projekt</a></li>';
                ?>
                <li class="divider"></li>
                <?php
				if ($use == 'p' && $user['group'] == 'lek')
				{
					$autorprojektu = proInfo($dir, 'IDlec', 1, 'IDdir');
					if ($autorprojektu == $user['IDuser']) echo '<li><a href="?page=edit_projekt">Upravit projekt</a></li>';
				}
				if ($use == 'g' && $user['group'] == 'lek') echo '<li><a href="?page=edit_predmet">Upravit předmět</a></li>';
				if ($use == 'c' && $user['group'] == 'lek') echo '<li><a href="?page=edit_trida">Upravit třídu</a></li>';
				?>
                <li class="divider"></li>
                <li><a href="index.php?page=uzivatele">Správa uživatelů</a></li>
              </ul>
            </li>
        <?php
		}
		if (empty($_SESSION['user']))
		{
			echo '<li><a href="index.php?page=login">Přihlásit</a></li>';
		}
		else
		{
			?>
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><?php echo $user['name'].' '.$user['surname']; ?><span class="caret"></span></a>
              <ul class="dropdown-menu" role="menu">
                <?php
                ?>
 				<li><a href="index.php?page=user_projekty">Moje projekty</a></li>
 				<li><a href="index.php?page=user_pomucky">Moje učební pomůcky</a></li>
	        	<li class="divider"></li>
                <li><a href="logout.php">Odhlásit!</a></li>
              </ul>
            </li>
            <?php
		}
		?>
        <li><a href="index.php?page=info">Informace o projektu</a></li>
        <li><a href="index.php?page=help">Nápověda</a></li>
      </ul>
      <form class="navbar-form navbar-right" action="index.php" method="get">
        <input type="text" class="form-control" placeholder="Hledej..." name="search">
        <input type="hidden" name="page" value="search">
      </form>
    </div>
  </div>
</nav>

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-3 col-md-2 sidebar">
            <ul class="nav nav-sidebar">
				<?php
				function vypismenu($level, $structure)
				{
					global $mysqli;
					
					$dotaz = "SELECT * FROM `directories` WHERE `level`='$level' AND `structure`='$structure' ORDER BY `title`";
					$vysledek = $mysqli->query($dotaz);
					
					while ($radek = $vysledek->fetch_assoc())
					{
						if ($radek['IDdir'] == @$_GET['DIR'])
						{
							echo '<li><a href="?menuid='.$radek['IDdir'].'" >'.$radek['title'].'</a></li>';
							$level++;
							$tree .= $radek['IDmenu'].';';
							vypismenu($level, $structure);
						}
						else
							echo '<li><a href="?dir='.$radek['IDdir'].'">'.$radek['title'].'</a></li>';
					}
					$vysledek->free_result();
				}
				
				vypismenu($level, $structure);
				?>
            </ul>
        </div>
    
        <!-- část s obsahem -->
        <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 ">
                <?php 
                // nacte konkretni podstranku
                if (empty($_GET['page']))  $_GET['page'] = 'default';
                $inc_path = 'comps/'.$_GET['page'].'.php';
                if (file_exists("$inc_path"))
                {
                    require($inc_path);
                }
                else
                {
                    echo '	<div class="row placeholders"> <div class="alert alert-danger col-xs-6 col-md-offset-3">
                         Vaše <strong>stránka</strong> nebyla nalezena.
                         <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span></button>
                     </div></div>';
                }
                ?>
        </div>
        <!-- končí část s obsahem -->
    </div>
</div>
    
    <div style="position:fixed; bottom:10px; right:10px; background:#0CF">
		<?php
			// echo '<br>level: '.@$level;
			// echo '<br>structure: '.@$structure;
			// echo '<br>use: '.@$use;
			// echo '<br>SES dir: '.@$_SESSION['dir'];
			// echo '<br>GET dir: '.@$_GET['dir'];
			// echo '<br>temp: '.@$temp;
			// echo '<br>user: '.@$username;
			// echo '<br>user group: '.@$user['group'];
			// echo '<br>autorizace: '.$user['authorization'] ;
			// echo '<br>status: '.$user['status'] ;
			// echo '<br>IDuser: '.$_SESSION['user']['IDuser'];
			// echo '<br>SES test: '.$_SESSION['test'];
    	?>
    </div>
    
</body>
</html>
<?php
$mysqli->close();
?>
