<?php
// overeni page
$_SESSION['page'] = 'default';

$current = $_SESSION['page'].'-mazem'."\n";
$file = 'log.txt';
//file_put_contents($file, $current);

?>
<div class="row placeholders">
    <ol class="breadcrumb">
        <li><a href="index.php?dirlist=clear">ART</a></li>
        <?php
        if (!empty($_GET['dir']))
        {
            $structure_pole = dirInfo($_SESSION['dir'],1,'cache');
            $structure_cesta = $structure_pole['structure'].$_SESSION['dir'];
            $structure_seq = explode(';', $structure);
            
			$link = './data/';
            for ($i=2; $i < (count($structure_seq)-1); $i++)
            {
                echo '<li><a href="index.php?dir='.$structure_seq[$i].'">'.dirInfo($structure_seq[$i], 'title','cache').'</a></li>';
				
				// pri hledani archivniho souboru
				$link .= dirInfo($structure_seq[$i], 'title','cache').'/';
				if ($i > 2) $filename_array[] = dirInfo($structure_seq[$i], 'title','cache');
            }
        }
        ?>
     </ol>
</div>

<?php
if (empty($_GET['dir']))
{
	// uvodni srtana
	?>
    <div class="page-header">
  		<h1>Projekt ART<br><small>vítejte</small></h1>
	</div>
	
    <div class="row">
    	<div class="col-md-6">
			<!-- vypis projektu za poslednich 14 dni -->
            <div class="panel panel-primary ">
                <div class="panel-heading">Nová cvičení za poslední dva týdny</div>
                <div class="panel-body" id="nove_projekty">
					<ul class="list-group">
						<?php
                        $dvatydny_num =  time() - 1209600;
                        $dvatydny_date = date("Y-m-d H:i:s", $dvatydny_num);
                        $dotaz = "SELECT * FROM `projects` WHERE `date` >= '$dvatydny_date' ORDER BY `IDpro` DESC ";
                        $odpoved = $mysqli -> query($dotaz);
                        while ($radek = $odpoved -> fetch_assoc() )
                        {
							echo '<li class="list-group-item">';
							$struktura =  dirInfo($radek['IDdir'], 'structure' , 1);
							$struktura_pole = explode(';', $struktura);
							for ($i=3; $i < (count($struktura_pole)-1); $i++)
							{
								echo dirInfo($struktura_pole[$i], 'title','cache').' - ';
							}
							 echo '<a href="?dir='.$radek['IDdir'].'">'.$radek['title'].'</a>';
							 echo '</li>';
                        }
						?>
                    </ul>
				</div>
           </div>
            <!-- konec - vypis projektu za poslednich 14 dni -->
		</div>
    	<div class="col-md-6">
        			<!-- vypis nových učebních pomůcek -->
            <div class="panel panel-primary ">
                <div class="panel-heading">Nové učební pomůcky za poslední dva týdny</div>
                <div class="panel-body" id="nove_projekty">
					<ul class="list-group">
						<?php
                        $dvatydny_num =  time() - 1209600;
                        $dvatydny_date = date("Y-m-d H:i:s", $dvatydny_num);
                        $dotaz = "SELECT * FROM `pomucky` WHERE `date` >= '$dvatydny_date' ORDER BY `IDpomucky` DESC ";
                        $odpoved = $mysqli -> query($dotaz);
                        while ($radek = $odpoved -> fetch_assoc() )
                        {
							echo '<li class="list-group-item">';
							/*
							$struktura =  dirInfo($radek['IDdir'], 'structure' , 1);
							$struktura_pole = explode(';', $struktura);
							for ($i=3; $i < (count($struktura_pole)-1); $i++)
							{
								echo dirInfo($struktura_pole[$i], 'title','cache').' - ';
							}
							 echo '<a href="?dir='.$radek['IDdir'].'">'.$radek['title'].'</a>';
							 */
							 echo  userInfo($radek['IDauthor'],'all' , 'cache')['usersname'].' -> ';
							 echo $radek['kod_up'].' | '.$radek['title_up'];
							 echo '</li>';
                        }
						?>
                    </ul>
				</div>
           </div>
            <!-- konec - vypis nových učebních pomůcek -->

		    <!-- vypis novych uzivatelu -->
            <div class="panel panel-primary ">
                <div class="panel-heading">Nové registrace</div>
                <div class="panel-body" id="novi_uzivatele">
                <script>
					function nacti_seznam()
					{
						var co = "comps/default-novi_uzivatele.php";
						var kam = "#novi_uzivatele";
						$(kam).load(co);
					}
					nacti_seznam();
				</script>
                </div>
           		<div class="panel-footer">Aktivaci mohou provést pouze lektoři</div>
            </div>
   		    <!-- konec - vypis novych uzivatelu -->
		    <!-- vypis zadosti o smazani-->
            <div class="panel panel-primary ">
                <div class="panel-heading">Nové žádosti o odstranění souborů</div>
                <div class="panel-body" id="nacti_seznam_remove_zadosti">
                <script>
					function nacti_seznam_delete_zadosti()
					{
						var co = "comps/default-nacti_seznam_remove_zadosti.php";
						var kam = "#nacti_seznam_remove_zadosti";
						$(kam).load(co);
					}
					nacti_seznam_delete_zadosti();
				</script>
                </div>
           		<div class="panel-footer">
                	Soubory může odstranit jen lektorský účet.<br>
                    Mazat můžete pouze ve vašich projektech.
                </div>
            </div>
   		    <!-- konec - vypis novych uzivatelu -->
		</div>
    </div>
	<?php
}

// error codes
require('incs/ec_alerts.php');


// je projekt registrován?
if ($use == 'p' && !empty($_SESSION['user']))
{
	$structure = dirInfo($_GET['dir'], 'structure' , 1);
	$structure .= $_GET['dir'].';';
	$dotaz = "SELECT * FROM `directories` WHERE `structure`='$structure' AND `title`='$usersname' LIMIT 1";
	$vysledek = $mysqli->query($dotaz);
	if ($vysledek->num_rows  != 0) $direxist = 'yes';
	else $direxist = 'no';
}
else $direxist = 'no';

// je to jeho slozka?
if ($use == 'u' && !empty($_SESSION['user']))
{
	$dotaz = "SELECT * FROM `directories` WHERE `IDdir`='$dir' AND `title`='$usersname' LIMIT 1";
	$vysledek = $mysqli->query($dotaz);
	if ($vysledek->num_rows  != 0) $dirmine = 'yes';
	else $dirmine = 'no';
	
	// zjisteni locku
	$radek = $vysledek->fetch_assoc();
	$struktura = substr($radek['structure'], 0, -1);
	$struktura_nadrazeny = explode(';', $struktura);
	$struktura_posledni = end($struktura_nadrazeny);
	$dotaz = "SELECT * FROM `projects` WHERE `IDdir`='$struktura_posledni' LIMIT 1";
	$vysledek = $mysqli->query($dotaz);
	$radek = $vysledek->fetch_assoc();
	$lock = $radek['lock'];
}
else $dirmine = 'no';

?>

<div class="row">
	<div class="col-md-9">
    	<?php
		// sekce projektu
		if ($use == 'p')
		{
			$proj_title = dirInfo($_GET['dir'], 'title','cache');
			$dotaz = "SELECT * FROM `projects` WHERE `title`='$proj_title' AND `IDdir`='$_GET[dir]' LIMIT 1";
			$vysledek = $mysqli->query($dotaz);
			if ($vysledek->num_rows  != 0)
			{
				while ($radek = $vysledek->fetch_assoc())
				{
					$IDprojektu = $radek['IDpro'];
					$zadani = $radek['task'];
					$lock = $radek['lock'];
					$IDlektora = $radek['IDauthor'];
				}
			}			
			?>
            <div class="panel panel-primary">
                <div class="panel-heading">Zadání projektu:</div>
                <div class="panel-body"><?php echo nl2br($zadani); ?></div>
                <div class="panel-footer"><?php userInfo($IDlektora, 'usersname', 'echo'); ?></div>
	        </div>
		<?php
			// zeptame se na cviceni
			$dotaz = "SELECT `pomucky_vazane`.*, `pomucky`.* FROM `pomucky_vazane`,`pomucky`
				 WHERE `IDprojektu`='$IDprojektu' 
				 AND `pomucky_vazane`.`IDpomucky`=`pomucky`.`IDpomucky`
				 ";
			$odpoved = $mysqli -> query($dotaz);
			if ($odpoved -> num_rows > 0)
			{
				$radek = $odpoved -> fetch_assoc();
				?>
                <div class="panel panel-primary">
                    <div class="panel-heading">Učební pomůcky</div>
                    <div class="panel-body"><?php echo $radek['comment_up']; ?></div>
                    <div class="panel-footer">
						<?php
						$dir = $radek['title'];
						$dotaz = "SELECT `directories`.*, `files`.* FROM `directories`,`files` WHERE 
							`directories`.`dir`='$dir' AND `directories`.`level`='0' AND `directories`.`use`='m' AND
							`directories`.`IDdir`=`files`.`IDdir`
						 ";
						$odpoved = $mysqli -> query($dotaz);
						
						echo '<ul class="list-group">';
						while ($radek = $odpoved -> fetch_assoc() )
						{
							echo '<li class="list-group-item">';
								echo  $radek['name'];
								
								$IDfile = $radek['IDfile'];
								$kod_up = $radek['dir'];
								$file = $radek['file'];
								$soubor_dotaz = "SELECT * FROM `files` WHERE `IDfile`='$IDfile' ";
								$soubor_odpoved = $mysqli -> query($soubor_dotaz);
								$soubor_radek = $soubor_odpoved -> fetch_assoc();
								$file = $soubor_radek['file'];
								
								$link = './data/pomucky/'.$kod_up.'/'.$file;

								echo '<a type="button" style="float:right" class="btn btn-info btn-xs" href="'.$link.'"  >stahuj</a>';
							echo '</li>';
						}
						echo '</ul>';
						?>
                    </div>
                </div>
                <?php
			}
			// pokec vypisovani ucebnich pomucek	
        }
		// konec casti v sekci projektu
		
		// sekce nahranych dat ve slozce studenta
		if ($use == 'u')
		{
			echo '<div class="panel panel-primary" id="vypis_slozky_uzivatele"></div>';
			?>
            <script>
				function nacti_svypis_slozky_uzivatele(id,direction,idfile)
				{
					var co = "comps/default-vypis_slozky_uzivatele.php?id="+id+"&direction=dir&idfile="+idfile;
					var kam = "#vypis_slozky_uzivatele";
					$(kam).load(co);
				}
				nacti_svypis_slozky_uzivatele(<?php echo $_GET['dir'] ?>,"dir",0);
			</script>
			<?php
		}
		?>
   </div>
    <div class="col-md-3 list-group">
    	<?php
        if ($use == 'p' && $user['authorization'] == '0' && $direxist == 'no' && $lock == 1) echo '<a href="exec/project_registrace.php?dir='.$_GET['dir'].'" class="list-group-item">registrovat projekt</a>';
        if ($dirmine == 'yes' && $lock == 1) echo '<a href="index.php?page=projekt_nahravani&dir='.$_GET['dir'].'" class="list-group-item">nahrát data</a>';
        //if ($use == 'u' && $user['authorization'] == '0') echo '<a href="zipdir.php" class="list-group-item">vytvorit ZIP archiv projektu</a>';
		?>

		<div class="panel panel-info" style="margin-top:30px" id="info_o_souboru"></div>
		<script>
			function nacti_info_o_souboru(id)
			{
				var co = "comps/default-info_o_souboru.php?id="+id;
				console.log(id);
				var kam = "#info_o_souboru";
				$(kam).load(co);
			}
			<?php if(!empty($_GET['file'])) echo 'nacti_info_o_souboru('.$_GET['file'].');'; ?>
		</script>
    </div>
</div>
