﻿<?php
session_start();
require('../conn.php');
require('../funcs.php');

// overeni vstupu hesla
if (empty($_POST['nheslo1']))
{
	$zpet = '../index.php?page=create_loginstudent';
	$zpet .= '&ec3x3=1';
	header("Location: $zpet");
	exit;
}

// overeni příchozího formuláře
if ($_SESSION['page'] != 'create_loginstudent')
{
	$zpet = '../index.php?page=create_loginstudent';
	$zpet .= '&ec0x0=1';
	header("Location: $zpet");
	exit;
}
else $zpet = '../index.php?page=create_loginstudent';

// ošetření vstupu
$njmeno = $_SESSION['form']['njmeno'] = $mysqli->real_escape_string($_POST['njmeno']);
$nprijmeni = $_SESSION['form']['nprijmeni'] = $mysqli->real_escape_string($_POST['nprijmeni']);
$filename = $mysqli->real_escape_string($_POST['filename']);
$nheslo = $mysqli->real_escape_string($_POST['nheslo1']);
$nheslo1 = $mysqli->real_escape_string($_POST['nheslo1']);
$nheslo2 = $mysqli->real_escape_string($_POST['nheslo2']);
$nemail = $_SESSION['form']['nemail'] = $mysqli->real_escape_string($_POST['nemail']);
$ntrida = $_SESSION['form']['ntrida'] = $mysqli->real_escape_string($_POST['ntrida']);

// šifrování hesla a porovnání
$nheslo1 = hash('sha512', $nheslo1);
$nheslo2 = hash('sha512', $nheslo2);

if ($nheslo1 != $nheslo2)
{
	$zpet .= '&ec3x1=1';
	header("Location: $zpet");
	exit;
}

// evěření emailu a domény
$check_kyberna = preg_match('/^[a-zA-Z0-9._-]+@kyberna.cz$/', $nemail);
$check_ssakhk = preg_match('/^[a-zA-Z0-9._-]+@ssakhk.cz$/', $nemail);

if ($check_kyberna || $check_ssakhk) 
{	
	// uzivatel ma domenu kyberna nebo ssakhk
	// ověření obsahu formuláře - povinné údaje
	if (empty($njmeno) || empty($nprijmeni) || empty($ntrida))
	{
		$zpet .= '&ec3x3=1';
		header("Location: $zpet");
		exit;
	}
	// overeni email pres LDAP
	if (!ExChange($nemail, $nheslo))
	{
		$zpet .= '&ec3x6=1';
		header("Location: $zpet");
		exit;
	}
}
else{
	// ověření obsahu formuláře - povinné údaje
	if (empty($njmeno) || empty($nprijmeni) || empty($nheslo1) || empty($ntrida))
	{
		$zpet .= '&ec3x3=1';
		header("Location: $zpet");
		exit;
	}

	// toto vyhodi vsechny emaily ze spatne domeny
	$zpet .= '&ec3x2=1';
	header("Location: $zpet");
	exit;
	
}

// zápis uživatele do databáze
$dotaz = "SELECT * FROM `users` WHERE `email`='$nemail' LIMIT 1";
$vysledek = $mysqli->query($dotaz);
if ($vysledek->num_rows  == 0){

	$dotaz = "SELECT * FROM `users` WHERE `dir`='$filename' LIMIT 1";
	$odpoved = $mysqli -> query($dotaz);
	if ($odpoved -> num_rows > 0)
	{
		$predpona = explode('@', $nemail);
		$dovetek = $predpona[0];
		$dir = strtolower($filename.'-'.$dovetek);
	}
	else $dir = strtolower($filename);
	
	$dotaz = "INSERT INTO `users` (`dir`,`name`,`surname`,`email`,`password`,`class`,`group`) 
		VALUES ('$dir','$njmeno','$nprijmeni','$nemail','$nheslo1','$ntrida','stu')";
	$vysledek = $mysqli->query($dotaz);
	if (empty($vysledek))
	{
		$zpet .= '&ec1x0=1';
		header("Location: $zpet");
		exit;
	}
	$lastdir = $mysqli->insert_id;
}
else
{
	$zpet .= '&ec3x5=1';
	header("Location: $zpet");
	exit;
}

$mysqli->close();

// přesměrovat když vše proběhne
unset($_SESSION['form']);
$zpet .= '&ec4x0=1';
header("Location: $zpet");
exit;

?>