<?php
// nastaveni
$permanent_url = 'http://localhost/bp/';

// nova pole na opravu charu
$bad_chars = array('Á','á', 'É','é', 'Í', 'Ú', 'Ü', 'Ű', 'Ó',' '); 
$good_chars = array('a','a', 'e','e', 'i', 'u', 'u', 'u', 'o','-');

// tabulka od marecka
$table_changechar = array(
        '%A0'=>'-','\xa0'=>'-','é'=>'e', ' '=>'-', 'Š'=>'S', 'š'=>'s', 'Ð'=>'Dj', 'Ž'=>'Z', 'ž'=>'z', 'C'=>'C', 'c'=>'c', 'C'=>'C', 'c'=>'c', 'č'=>'c','Č'=>'c','ě'=>'e','Ě'=>'e','ř'=>'r','Ř'=>'r',
        'À'=>'A', 'Á'=>'A', 'Â'=>'A', 'Ã'=>'A', 'Ä'=>'A', 'Å'=>'A', 'Æ'=>'A', 'Ç'=>'C', 'È'=>'E', 'É'=>'E',
        'Ê'=>'E', 'Ë'=>'E', 'Ì'=>'I', 'Í'=>'I', 'Î'=>'I', 'Ï'=>'I', 'Ñ'=>'N', 'Ò'=>'O', 'Ó'=>'O', 'Ô'=>'O',
        'Õ'=>'O', 'Ö'=>'O', 'Ø'=>'O', 'Ù'=>'U', 'Ú'=>'U', 'Û'=>'U', 'Ü'=>'U', 'Ý'=>'Y', 'Þ'=>'B', 'ß'=>'Ss',
        'à'=>'a', 'á'=>'a', 'â'=>'a', 'ã'=>'a', 'ä'=>'a', 'å'=>'a', 'æ'=>'a', 'ç'=>'c', 'è'=>'e',  'ê'=>'e', 'ë'=>'e', 'ì'=>'i', 'í'=>'i', 'î'=>'i', 'ï'=>'i', 'ð'=>'o', 'ñ'=>'n', 'ò'=>'o', 'ó'=>'o',
        'ô'=>'o', 'õ'=>'o', 'ö'=>'o', 'ø'=>'o', 'ù'=>'u', 'ú'=>'u', 'û'=>'u', 'ý'=>'y', 'ý'=>'y', 'þ'=>'b',
        'ÿ'=>'y', 'R'=>'R', 'r'=>'r', "'"=>'-', '"'=>'-'
    );

function ExChange($acc, $pass)
	{
		$ldap = ldap_connect("10.1.1.50");
		$ldapuser = $acc;
		$ldappass = $pass;
		$ldaptree = "OU=skola,DC=ssakhk,DC=cz";
		$retezec  = explode("@", $ldapuser);
		$user = $retezec[0]; 
				
		if(@$bind = ldap_bind($ldap, $ldapuser, $ldappass))
			return true;
		else
			return false;
	}

function userInfo($IDuser,$ucel , $forma)
{
	global $mysqli;

	$dotaz = "SELECT * FROM `users` WHERE `IDuser`='$IDuser' ";
	$vysledek = $mysqli->query($dotaz);
	while ($radek = $vysledek->fetch_assoc())
	{
		$name = $radek['name'];
		$surname = $radek['surname'];
	}
	$vysledek->free_result();

	if ($forma == 'echo')
	{
		switch ($ucel)
		{
			case 'usersname': echo $name.' '.$surname; break;
		}
	}
	else	
	{
		$vystup = array('name' => $name,'surname' => $surname, 'usersname' => $name.' '.$surname);
		return $vystup;
	}
}

function dirInfo($IDdir, $ucel , $forma)
{
	global $mysqli;
	
	// debugovani
	//$current = "\n";
	//$file = 'log_fn.txt';

	$dotaz = "SELECT * FROM `directories` WHERE `IDdir`='$IDdir' ";
	//$current .= $dotaz."\n";
	$vysledek = $mysqli->query($dotaz);
	$radek = $vysledek->fetch_assoc();
		$IDdir = $radek['IDdir'];
		$dir = $radek['dir'];
		$level = $radek['level'];
		$structure = $radek['structure'];
		$use = $radek['use'];
		$title = $radek['title'];
		$IDauthor = $radek['IDauthor'];
	$vysledek->free_result();
	
	//$current .= $level."\n";
	
	if ($forma == 'echo')
	{
		switch ($ucel){
			case 'title': echo $title; break;
		}
	}
	else
	{
		switch ($ucel){
			case 'IDdir': $vystup = $IDdir; break;
			case 'dir': $vystup = $dir; break;
			case 'title': $vystup = $title; break;
			case 'structure': $vystup = $structure; break;
			case 'IDauthor': $vystup = $IDauthor; break;
			default: 	$vystup = array('IDdir' => $IDdir,'dir' => $dir,'title' => $title, 'level' => $level, 'structure' => $structure, 'use' => $use, 'IDauthor'=>$IDauthor); break;
		}
		
		// debugovani
		//file_put_contents($file, $current);

		return $vystup;
	}
}

function proInfo($pro, $ucel , $forma, $by)
{
	global $mysqli;
	
	switch($by)
	{
		case 'IDdir': $dotaz = "SELECT * FROM `projects` WHERE `IDdir`='$pro' "; break;
	}
	$vysledek = $mysqli->query($dotaz);
	while ($radek = $vysledek->fetch_assoc())
	{
		$IDpro = $radek['IDpro'];
		$title = $radek['title'];
		$tag = $radek['tag'];
		$task = $radek['task'];
		$format = $radek['format'];
		$lock = $radek['lock'];
		$IDlec = $radek['IDauthor'];
	}
	$vysledek->free_result();
	
	if ($forma == 'echo')
	{
		switch ($ucel){
			case 'title': echo $title; break;
		}
	}
	else
	{
		switch ($ucel){
			case 'title': $vystup = $title; break;
			case 'IDlec': $vystup = $IDlec; break;
			default: 	$vystup = array('IDpro' => $IDpro,'title' => $title,'tag' => $tag, 'task' => $task,'format' => $format,'lock' => $lock,'IDlec' => $IDlec); break;
		}
		return $vystup;
	}
}

// reg ex prevodova pole
$regex_pattern = array();
$regex_replacement = array();
	$regex_pattern[] = '/\xA0/';
	$regex_replacement[] = '-';
	$regex_pattern[] = '/ä/';
	$regex_replacement[] = 'a';
	$regex_pattern[] = '/á/';
	$regex_replacement[] = 'a';
	$regex_pattern[] = '/č/';
	$regex_replacement[] = 'c';
	$regex_pattern[] = '/ć/';
	$regex_replacement[] = 'c';
	$regex_pattern[] = '/ď/';
	$regex_replacement[] = 'd';
	$regex_pattern[] = '/ě/';
	$regex_replacement[] = 'e';
	$regex_pattern[] = '/é/';
	$regex_replacement[] = 'e';
	$regex_pattern[] = '/ë/';
	$regex_replacement[] = 'e';
	$regex_pattern[] = '/í/';
	$regex_replacement[] = 'i';
	$regex_pattern[] = '/ľ/';
	$regex_replacement[] = 'l';
	$regex_pattern[] = '/ń/';
	$regex_replacement[] = 'n';
	$regex_pattern[] = '/ň/';
	$regex_replacement[] = 'n';
	$regex_pattern[] = '/ó/';
	$regex_replacement[] = 'o';
	$regex_pattern[] = '/ö/';
	$regex_replacement[] = 'o';
	$regex_pattern[] = '/ř/';
	$regex_replacement[] = 'r';
	$regex_pattern[] = '/ŕ/';
	$regex_replacement[] = 'r';
	$regex_pattern[] = '/š/';
	$regex_replacement[] = 's';
	$regex_pattern[] = '/ś/';
	$regex_replacement[] = 's';
	$regex_pattern[] = '/ť/';
	$regex_replacement[] = 't';
	$regex_pattern[] = '/ú/';
	$regex_replacement[] = 'u';
	$regex_pattern[] = '/ů/';
	$regex_replacement[] = 'u';
	$regex_pattern[] = '/ü/';
	$regex_replacement[] = 'u';
	$regex_pattern[] = '/ý/';
	$regex_replacement[] = 'y';
	$regex_pattern[] = '/ž/';
	$regex_replacement[] = 'z';
	/*
	$regex_pattern[] = '///';
	$regex_replacement[] = '-';
	$regex_pattern[] = '/\/';
	$regex_replacement[] = '-';
	$regex_pattern[] = '/:/';
	$regex_replacement[] = '-';
	*/
	$regex_pattern[] = '/ /';
	$regex_replacement[] = '-';
	$regex_pattern[] = '/\@/';
	$regex_replacement[] = '_';
	$regex_pattern[] = '/\#/';
	$regex_replacement[] = '_';
	$regex_pattern[] = '/\$/';
	$regex_replacement[] = '_';
	$regex_pattern[] = '/\*/';
	$regex_replacement[] = '_';
	$regex_pattern[] = '/\./';
	$regex_replacement[] = '_';
ksort($regex_pattern);
ksort($regex_replacement);


// prevodova tabulka na eliminaci specchar
$prevodni_tabulka = Array(
''=>'a',
'Ä'=>'A',
''=>'a',
'Á'=>'A',
''=>'c',
'Č'=>'C',
''=>'c',
'Ć'=>'C',
''=>'d',
'Ď'=>'D',
''=>'e',
'Ě'=>'E',
''=>'e',
'É'=>'E',
''=>'e',
'Ë'=>'E',
''=>'i',
'Í'=>'I',
''=>'l',
'Ľ'=>'L',
''=>'n',
'Ń'=>'N',
''=>'n',
'Ň'=>'N',
''=>'o',
'Ó'=>'O',
''=>'o',
'Ö'=>'O',
''=>'r',
'Ř'=>'R',
''=>'r',
'Ŕ'=>'R',
''=>'s',
'Š'=>'S',
''=>'s',
'Ś'=>'S',
''=>'t',
'Ť'=>'T',
''=>'u',
'Ú'=>'U',
''=>'u',
'Ů'=>'U',
''=>'u',
'Ü'=>'U',
''=>'y',
'Ý'=>'Y',
''=>'z',
'Ž'=>'Z',
''=>'z',
'Ź'=>'Z',
''=>'-',
''=>'-',
''=>'-',
' '=>'_'
);

?>